Author: jfrederic.clere(a)jboss.com
Date: 2008-01-24 09:15:20 -0500 (Thu, 24 Jan 2008)
New Revision: 1300
Modified:
trunk/build/unix/buildsrc.jboss-native.sh
Log:
Test return code of svn...
Modified: trunk/build/unix/buildsrc.jboss-native.sh
===================================================================
--- trunk/build/unix/buildsrc.jboss-native.sh 2008-01-24 12:19:06 UTC (rev 1299)
+++ trunk/build/unix/buildsrc.jboss-native.sh 2008-01-24 14:15:20 UTC (rev 1300)
@@ -47,6 +47,10 @@
native_svn=http://svn.apache.org/repos/asf/tomcat/connectors/tags/other/$...
fi
svn export --native-eol=${NATIVEEOL} ${native_tag_opt} ${native_svn}/jni/native
${native_dist}/srclib/tomcat-native-${native_ext}
+if [ $? -ne 0 ]; then
+ echo "svn export ${native_tag_opt} failed"
+ exit 1
+fi
# Generate configure.
apr_sources=${native_dist}/srclib/`ls ${native_dist}/srclib | grep apr-1`